import React, { PropTypes } from 'react'
import DirectionalIcon from './DirectionalIcon'

const Arrow = ({ fill, ...props }) => {
  return (
    <DirectionalIcon {...props}>
      <svg style={{ display: 'block' }} xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="100%" height="100%" viewBox="0 0 16 16">
        <g>
          <polygon fill={fill} points="1.3,6.7 2.7,8.1 7,3.8 7,16 9,16 9,3.8 13.3,8.1 14.7,6.7 8,0 "/>
        </g>
      </svg>
    </DirectionalIcon>
  )
}

Arrow.propTypes = {
  ...DirectionalIcon.propTypes
}

Arrow.defaultProps = {
  ...DirectionalIcon.defaultProps
}

export default Arrow
