/* global describe it expect */
import React from 'react'
import { shallow, mount } from 'enzyme'
import Link from './Link'

describe('<Link />', () => {
  it('should render a Link', () => {
    const wrapper = mount(<Link />)
    expect(wrapper.type()).toEqual(Link)
    expect(wrapper.name()).toEqual('Link')
  })

  it(`is an 'a' element by default`, () => {
    const wrapper = shallow(<Link />)
    expect(wrapper.html()).toMatch('</a>')
  })

  // it('should compose a Box', () => {
  //   // Not sure how to test
  // })

  // Still unsure how to test glamor classnames
})

describe(`<Link active />`, () => {
  it(`is a 'span' element`, () => {
    const wrapper = shallow(<Link active />)
    expect(wrapper.html()).toMatch('</span>')
  })
})
